Skip to main content
POST
/
api
/
v1
/
workflows
/
runs
/
{runId}
/
nodes
/
{nodeId}
/
approve
cURL
curl --request POST \
  --url https://api.staging.qyl.dev/api/v1/workflows/runs/{runId}/nodes/{nodeId}/approve
{
  "id": "<string>",
  "run_id": "<string>",
  "node_id": "<string>",
  "node_name": "<string>",
  "attempt": 123,
  "retry_count": 123,
  "max_retries": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "input_json": "<string>",
  "output_json": "<string>",
  "error_message": "<string>",
  "timeout_ms": 123,
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "duration_ms": 123
}

Documentation Index

Fetch the complete documentation index at: https://ancplua.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

runId
string
required
nodeId
string
required

Response

The request has succeeded.

Individual DAG node execution

id
string
required

Execution ID

run_id
string
required

Parent run

node_id
string
required

Node definition ID

node_type
enum<string>
required

Node type

Available options:
agent,
tool,
condition,
fork,
join,
approval,
sub_workflow,
transform,
wait
node_name
string
required

Node name

attempt
integer<int32>
required

Attempt number (1-based)

status
enum<string>
required

Node status

Available options:
pending,
running,
paused,
completed,
failed,
cancelled,
timed_out
retry_count
integer<int32>
required

Retry count

max_retries
integer<int32>
required

Maximum retries allowed

created_at
string<date-time>
required

Creation timestamp

input_json
string

Node input data

output_json
string

Node output data

error_message
string

Error message if failed

timeout_ms
integer<int32>

Timeout in milliseconds

started_at
string<date-time>

Start timestamp

completed_at
string<date-time>

Completion timestamp

duration_ms
integer<int32>

Duration in milliseconds